apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceMigration
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2024-08-29T16:42:30Z"
  generateName: kubevirt-migrate-vm-
  generation: 1
  labels:
    kubevirt.io/vmi-name: fedora-1
  name: kubevirt-migrate-vm-zfr5d
  namespace: default
  resourceVersion: "9307519"
  uid: e4d5d0c6-663f-4b05-ab6c-dffc405975d9
spec:
  vmiName: fedora-1
status:
  migrationState:
    completed: true
    endTimestamp: "2024-08-29T16:42:38Z"
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 800
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: e4d5d0c6-663f-4b05-ab6c-dffc405975d9
    mode: PreCopy
    sourceNode: guyc-qe-2jn6p-worker-0-cg5j2
    startTimestamp: "2024-08-29T16:42:35Z"
    targetDirectMigrationNodePorts:
      "38141": 49152
      "44877": 49153
      "45951": 0
    targetNode: guyc-qe-2jn6p-worker-0-29j8t
    targetNodeAddress: 10.129.2.176
    targetNodeDomainDetected: true
    targetNodeDomainReadyTimestamp: "2024-08-29T16:42:38Z"
    targetPod: virt-launcher-fedora-1-6g7cg
  phase: Succeeded
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2024-08-29T16:42:30Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2024-08-29T16:42:30Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2024-08-29T16:42:34Z"
  - phase: PreparingTarget
    phaseTransitionTimestamp: "2024-08-29T16:42:34Z"
  - phase: TargetReady
    phaseTransitionTimestamp: "2024-08-29T16:42:35Z"
  - phase: Running
    phaseTransitionTimestamp: "2024-08-29T16:42:35Z"
  - phase: Succeeded
    phaseTransitionTimestamp: "2024-08-29T16:42:38Z"
